/* ---rgf, 2003-03-10, 2003-03-05, 2003-04-16, 2003-04-22, 2003-08-14, 2005-06-05, 2005-08-23 */

parse version version
say 'Rexx interpreter: ' version
say 'BSF4Rexx (DLL/so):' bsfVersion()
say 'Java Rexx engine: ' bsf("version")
say

   /* show the Java version in use for this invocation */
o=.bsf4rexx~System.class    -- get the BSF reference for the Java System class
say 'Java version:     ' pp(o~getProperty('java.version' ))
op_sys=o~getProperty("os.name") "(version" o~getProperty("os.version")"," o~getProperty("os.arch")")"
say 'Java op-sys infos:' pp(op_sys)
say
say 'Java home dir:    ' pp(o~getProperty('java.home' ))
say 'Java library path:' pp(o~getProperty('java.library.path' ))
say 'Java class path:  ' pp(o~getProperty('java.class.path' ))


say
text="directly by Rexx (and loaded Java)"
if BsfInvokedBy()=1 then text="via Java"
say "This Rexx script was invoked:" text

say
call BsfQueryRegisteredFunctions "s."
say "The following BSF-functions are registered with Rexx:"
do i=1 to s.0
   say "  " s.i
end

::requires BSF.CLS    -- get BSF support for Object Rexx

::routine pp
  return "[" || arg(1) || "]"
